<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">{{ action + ' Post' }}</h4>
  <button
    title="Close"
    type="button"
    class="close"
    aria-label="Close"
    (click)="d('Cross click')"
    (click)="clearForm()"
  >
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form [formGroup]="form">
    <div class="form-group">
      <label>Title</label>
      <input
        type="text"
        class="form-control"
        formControlName="title"
      />
    </div>

    <div
      *ngIf="
        form.controls['title'].invalid &&
        (form.controls['title'].dirty ||
          form.controls['title'].touched)
      "
      class="alert alert-danger"
    >
      <div
        *ngIf="form.controls['title'].errors.required"
      >
        Title is required.
      </div>
      <div
        *ngIf="form.controls['title'].errors.maxlength"
      >
        Title must be no longer than 30 characters.
      </div>
      <div
        *ngIf="form.controls['title'].errors.pattern"
      >
        Title must not contain special characters.
      </div>
      <div *ngIf="form.controls['title'].errors.whitespace">
        Title must contain not only spaces
      </div>
    </div>

    <div class="form-group">
      <label>Content</label>
      <input
        type="text"
        class="form-control"
        formControlName="content"
      />
    </div>

    <div
      *ngIf="
        form.controls['content'].invalid &&
        (form.controls['content'].dirty ||
          form.controls['content'].touched)
      "
      class="alert alert-danger"
    >
      <div
        *ngIf="form.controls['content'].errors.required"
      >
        Content is required.
      </div>
      <div
        *ngIf="
          form.controls['content'].errors.maxlength
        "
      >
        Content must be no longer than 500 characters.
      </div>

      <div *ngIf="form.controls['content'].errors.whitespace">
        Content must contain not only spaces
      </div>
    </div>

    <div class="form-group">
      <label>Author</label>
      <input
        type="text"
        class="form-control"
        formControlName="author"
      />
    </div>

    <div
      *ngIf="
        form.controls['author'].invalid &&
        (form.controls['author'].dirty ||
          form.controls['author'].touched)
      "
      class="alert alert-danger"
    >
      <div
        *ngIf="form.controls['author'].errors.required"
      >
        Author is required.
      </div>
      <div
        *ngIf="form.controls['author'].errors.maxlength"
      >
        Author must be no longer than 30 characters.
      </div>
      <div
        *ngIf="form.controls['author'].errors.pattern"
      >
        Author must not contain special characters.
      </div>

      <div *ngIf="form.controls['author'].errors.whitespace">
        Author must contain not only spaces
      </div>
    </div>
  </form>
</div>
<div class="modal-footer">
  <button
    [title]="action"
    type="button"
    class="btn btn-outline-dark"
    (click)="onSubmit()"
    (click)="c('Save click')"
    [disabled]="form.invalid"
  >
    {{ action }}
  </button>
</div>
